diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/defacl.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/defacl.sql
index e9f9eac89..2527a5d36 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/defacl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.3_plus/defacl.sql
@@ -36,7 +36,7 @@ GROUP BY g.rolname, gt.rolname, a.deftype
 ORDER BY a.deftype
 	)
 {% else %}
-
+SELECT * from (
 (SELECT
     CASE (e.deftype)
     WHEN 'r' THEN 'deftblacl'
@@ -157,5 +157,5 @@ FROM(
 LEFT JOIN pg_catalog.pg_roles g ON (e.grantor = g.oid)
    LEFT JOIN pg_catalog.pg_roles gt ON (e.grantee = gt.oid)
 GROUP BY g.rolname, gt.rolname, e.deftype
-ORDER BY e.deftype)
+ORDER BY e.deftype)) f order by f.acltype DESC
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_sequences.sql b/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_sequences.sql
index 494432610..3fac293cf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_sequences.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_sequences.sql
@@ -13,9 +13,9 @@ CREATE DATABASE <TEST_DB_NAME>
 
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE ALL ON TABLES FROM postgres;
 
+ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE ALL ON SEQUENCES FROM postgres;
+
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres
 GRANT SELECT, USAGE ON SEQUENCES TO PUBLIC;
 
-ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE ALL ON SEQUENCES FROM postgres;
-
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE EXECUTE ON FUNCTIONS FROM PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_types.sql b/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_types.sql
index 90541625d..f3dbd0523 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_types.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/pg/default/alter_default_db_privileges_types.sql
@@ -13,11 +13,11 @@ CREATE DATABASE <TEST_DB_NAME>
 
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE ALL ON TABLES FROM postgres;
 
+ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE ALL ON SEQUENCES FROM postgres;
+
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres
 GRANT SELECT, USAGE ON SEQUENCES TO PUBLIC;
 
-ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE ALL ON SEQUENCES FROM postgres;
-
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE EXECUTE ON FUNCTIONS FROM PUBLIC;
 
 ALTER DEFAULT PRIVILEGES FOR ROLE postgres REVOKE USAGE ON TYPES FROM PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/ppas/default/alter_default_db_privileges_tables.sql b/web/pgadmin/browser/server_groups/servers/databases/tests/ppas/default/alter_default_db_privileges_tables.sql
index 86e1b7e8b..ec12171f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/ppas/default/alter_default_db_privileges_tables.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/ppas/default/alter_default_db_privileges_tables.sql
@@ -11,9 +11,9 @@ CREATE DATABASE <TEST_DB_NAME>
     TABLESPACE = pg_default
     CONNECTION LIMIT = -1;
 
+ALTER DEFAULT PRIVILEGES FOR ROLE enterprisedb REVOKE ALL ON TABLES FROM enterprisedb;
+
 ALTER DEFAULT PRIVILEGES FOR ROLE enterprisedb
 GRANT SELECT ON TABLES TO PUBLIC;
 
-ALTER DEFAULT PRIVILEGES FOR ROLE enterprisedb REVOKE ALL ON TABLES FROM enterprisedb;
-
 ALTER DEFAULT PRIVILEGES FOR ROLE enterprisedb REVOKE EXECUTE ON FUNCTIONS FROM PUBLIC;
